## winswitch 0.12.19+dfsg

=== debian/changelog ===
winswitch (0.12.19+dfsg-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Reference get-orig-source implementation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jul 2013 07:21:12 +1000

winswitch (0.12.18+dfsg-2) unstable; urgency=low

  * Removed obsolete "python-gnomedesktop" from Recommends
    (Closes: #707848).
  * New patch to expose revision from "svn-info" to build_info.py.
  * "X-Python-Version: >= 2.7" to avoid using deprecated python-2.6.
  * Added missing copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 May 2013 11:00:25 +1000

winswitch (0.12.18+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #616057).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Mar 2013 02:37:21 +1100
