## winswitch 0.12.20+dfsg

=== debian/changelog ===
winswitch (0.12.20+dfsg-1) unstable; urgency=low

  * New upstream release [November 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Nov 2013 13:34:54 +1100
