=== debian/control ===
Source: winswitch
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), python-all
# dependencies below are used in post-build tests:
              ,python-gobject-2
              ,python-utmp
              ,python-crypto
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://winswitch.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/winswitch.git
Vcs-Git: git://anonscm.debian.org/collab-maint/winswitch.git

Package: winswitch
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
        ,python-avahi
        ,python-crypto
        ,python-gtk2
        ,python-imaging
        ,python-notify
        ,python-pam
        ,python-rsvg
        ,python-twisted
        ,python-utmp
        ,python-xlib
        ,x11-xkb-utils
        ,xpra
Recommends: dbus-x11
           ,gstreamer0.10-plugins-good
           ,gstreamer0.10-pulseaudio
           ,rdesktop
           ,notification-daemon
           ,nxproxy
           ,openssh-client
           ,openssh-server
           ,python-appindicator
           ,python-gobject-2
           ,python-gst0.10
           ,python-nautilus
           ,python-netifaces
           ,vncviewer
Suggests: devilspie
         ,gnome-menus
         ,imagemagick
         ,python-packagekit
         ,xloadimage
Description: tool to start and control remote sessions
 supports both seamless applications (via Xpra, NX and ssh)
 and full remote desktops (via NX, VNC, RDP).
 Once a session has been started via winswitch,
 it can be displayed on any other networked machine running
 the winswitch client.
