=== debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate DFSG-repackaged archive.

version=3

opts=dversionmangle=s/\+dfsg// \
http://winswitch.org/src/winswitch-([0-9.]+)\.src\.tar\.(?:xz|bz2|gz)
