## winswitch 0.12.21+dfsg

=== debian/changelog ===
winswitch (0.12.21+dfsg-1) unstable; urgency=low

  * New upstream release [May 2015].
  * Fixed bashism in "bin-override/xdg-open" (Closes: #772390).
  * Standards-Version: 3.9.6.
  * Updated Vcs-Browser URL.
  * get-orig-source: reproducible sort.
  * Renamed "buildinfo-revision.patch" --> "buildinfo.patch";
    updated the latter to reduce non-determinism in upstream build info.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 May 2015 21:41:19 +1000
