=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
               ,python-utmp
               ,python-crypto
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://winswitch.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/winswitch.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/winswitch.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/winswitch.git
 
 Package: winswitch
