=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -78,6 +78,6 @@
              debian
 	#$(RM) -v $(PKG)_$(VER).orig.tar.*
 	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
         | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
         && $(RM) -r "$(PKG)-$(VER)"
